/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */


#ifndef __DVM_H__
#define __DVM_H__



/* DVM */
/* ==================================================================== */

/*  */
#define CPU_ACCESS_DVM_CONTROL    0x10E20000

/* CPU_ACCESS_DVM_CONTROL.RING_OSC_SEL -  */
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_SEL__SHIFT       0
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_SEL__WIDTH       1
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_SEL__MASK        0x00000001
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_SEL__INV_MASK    0xFFFFFFFE
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_SEL__HW_DEFAULT  0x0

/* CPU_ACCESS_DVM_CONTROL.RING_OSC_EN -  */
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_EN__SHIFT       1
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_EN__WIDTH       4
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_EN__MASK        0x0000001E
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_EN__INV_MASK    0xFFFFFFE1
#define CPU_ACCESS_DVM_CONTROL__RING_OSC_EN__HW_DEFAULT  0x0

/* CPU_ACCESS_DVM_CONTROL.CLK_SEL -  */
#define CPU_ACCESS_DVM_CONTROL__CLK_SEL__SHIFT       5
#define CPU_ACCESS_DVM_CONTROL__CLK_SEL__WIDTH       2
#define CPU_ACCESS_DVM_CONTROL__CLK_SEL__MASK        0x00000060
#define CPU_ACCESS_DVM_CONTROL__CLK_SEL__INV_MASK    0xFFFFFF9F
#define CPU_ACCESS_DVM_CONTROL__CLK_SEL__HW_DEFAULT  0x0

/* CPU_ACCESS_DVM_CONTROL.CPU_READ_EN -  */
#define CPU_ACCESS_DVM_CONTROL__CPU_READ_EN__SHIFT       7
#define CPU_ACCESS_DVM_CONTROL__CPU_READ_EN__WIDTH       1
#define CPU_ACCESS_DVM_CONTROL__CPU_READ_EN__MASK        0x00000080
#define CPU_ACCESS_DVM_CONTROL__CPU_READ_EN__INV_MASK    0xFFFFFF7F
#define CPU_ACCESS_DVM_CONTROL__CPU_READ_EN__HW_DEFAULT  0x0

/*  */
#define COUNT_EN_CYCLE_XIN_NUM    0x10E20004

/* COUNT_EN_CYCLE_XIN_NUM.COUNT_EN_CYCLE_XIN_NUM -  */
#define COUNT_EN_CYCLE_XIN_NUM__COUNT_EN_CYCLE_XIN_NUM__SHIFT       0
#define COUNT_EN_CYCLE_XIN_NUM__COUNT_EN_CYCLE_XIN_NUM__WIDTH       32
#define COUNT_EN_CYCLE_XIN_NUM__COUNT_EN_CYCLE_XIN_NUM__MASK        0xFFFFFFFF
#define COUNT_EN_CYCLE_XIN_NUM__COUNT_EN_CYCLE_XIN_NUM__INV_MASK    0x00000000
#define COUNT_EN_CYCLE_XIN_NUM__COUNT_EN_CYCLE_XIN_NUM__HW_DEFAULT  0x0

/*  */
#define COUNT_EN_DVM_UNIT_MASK    0x10E20008

/* COUNT_EN_DVM_UNIT_MASK.COUNT_EN_DVM_UNIT_MASK -  */
#define COUNT_EN_DVM_UNIT_MASK__COUNT_EN_DVM_UNIT_MASK__SHIFT       0
#define COUNT_EN_DVM_UNIT_MASK__COUNT_EN_DVM_UNIT_MASK__WIDTH       20
#define COUNT_EN_DVM_UNIT_MASK__COUNT_EN_DVM_UNIT_MASK__MASK        0x000FFFFF
#define COUNT_EN_DVM_UNIT_MASK__COUNT_EN_DVM_UNIT_MASK__INV_MASK    0xFFF00000
#define COUNT_EN_DVM_UNIT_MASK__COUNT_EN_DVM_UNIT_MASK__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_0               0x10E2000C

/* DVM_COUNT_0.DVM_COUNT_0 -  */
#define DVM_COUNT_0__DVM_COUNT_0__SHIFT       0
#define DVM_COUNT_0__DVM_COUNT_0__WIDTH       32
#define DVM_COUNT_0__DVM_COUNT_0__MASK        0xFFFFFFFF
#define DVM_COUNT_0__DVM_COUNT_0__INV_MASK    0x00000000
#define DVM_COUNT_0__DVM_COUNT_0__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_1               0x10E20010

/* DVM_COUNT_1.DVM_COUNT_1 -  */
#define DVM_COUNT_1__DVM_COUNT_1__SHIFT       0
#define DVM_COUNT_1__DVM_COUNT_1__WIDTH       32
#define DVM_COUNT_1__DVM_COUNT_1__MASK        0xFFFFFFFF
#define DVM_COUNT_1__DVM_COUNT_1__INV_MASK    0x00000000
#define DVM_COUNT_1__DVM_COUNT_1__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_2               0x10E20014

/* DVM_COUNT_2.DVM_COUNT_2 -  */
#define DVM_COUNT_2__DVM_COUNT_2__SHIFT       0
#define DVM_COUNT_2__DVM_COUNT_2__WIDTH       32
#define DVM_COUNT_2__DVM_COUNT_2__MASK        0xFFFFFFFF
#define DVM_COUNT_2__DVM_COUNT_2__INV_MASK    0x00000000
#define DVM_COUNT_2__DVM_COUNT_2__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_3               0x10E20018

/* DVM_COUNT_3.DVM_COUNT_3 -  */
#define DVM_COUNT_3__DVM_COUNT_3__SHIFT       0
#define DVM_COUNT_3__DVM_COUNT_3__WIDTH       32
#define DVM_COUNT_3__DVM_COUNT_3__MASK        0xFFFFFFFF
#define DVM_COUNT_3__DVM_COUNT_3__INV_MASK    0x00000000
#define DVM_COUNT_3__DVM_COUNT_3__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_4               0x10E2001C

/* DVM_COUNT_4.DVM_COUNT_4 -  */
#define DVM_COUNT_4__DVM_COUNT_4__SHIFT       0
#define DVM_COUNT_4__DVM_COUNT_4__WIDTH       32
#define DVM_COUNT_4__DVM_COUNT_4__MASK        0xFFFFFFFF
#define DVM_COUNT_4__DVM_COUNT_4__INV_MASK    0x00000000
#define DVM_COUNT_4__DVM_COUNT_4__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_5               0x10E20020

/* DVM_COUNT_5.DVM_COUNT_5 -  */
#define DVM_COUNT_5__DVM_COUNT_5__SHIFT       0
#define DVM_COUNT_5__DVM_COUNT_5__WIDTH       32
#define DVM_COUNT_5__DVM_COUNT_5__MASK        0xFFFFFFFF
#define DVM_COUNT_5__DVM_COUNT_5__INV_MASK    0x00000000
#define DVM_COUNT_5__DVM_COUNT_5__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_6               0x10E20024

/* DVM_COUNT_6.DVM_COUNT_6 -  */
#define DVM_COUNT_6__DVM_COUNT_6__SHIFT       0
#define DVM_COUNT_6__DVM_COUNT_6__WIDTH       32
#define DVM_COUNT_6__DVM_COUNT_6__MASK        0xFFFFFFFF
#define DVM_COUNT_6__DVM_COUNT_6__INV_MASK    0x00000000
#define DVM_COUNT_6__DVM_COUNT_6__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_7               0x10E20028

/* DVM_COUNT_7.DVM_COUNT_7 -  */
#define DVM_COUNT_7__DVM_COUNT_7__SHIFT       0
#define DVM_COUNT_7__DVM_COUNT_7__WIDTH       32
#define DVM_COUNT_7__DVM_COUNT_7__MASK        0xFFFFFFFF
#define DVM_COUNT_7__DVM_COUNT_7__INV_MASK    0x00000000
#define DVM_COUNT_7__DVM_COUNT_7__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_8               0x10E2002C

/* DVM_COUNT_8.DVM_COUNT_8 -  */
#define DVM_COUNT_8__DVM_COUNT_8__SHIFT       0
#define DVM_COUNT_8__DVM_COUNT_8__WIDTH       32
#define DVM_COUNT_8__DVM_COUNT_8__MASK        0xFFFFFFFF
#define DVM_COUNT_8__DVM_COUNT_8__INV_MASK    0x00000000
#define DVM_COUNT_8__DVM_COUNT_8__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_9               0x10E20030

/* DVM_COUNT_9.DVM_COUNT_9 -  */
#define DVM_COUNT_9__DVM_COUNT_9__SHIFT       0
#define DVM_COUNT_9__DVM_COUNT_9__WIDTH       32
#define DVM_COUNT_9__DVM_COUNT_9__MASK        0xFFFFFFFF
#define DVM_COUNT_9__DVM_COUNT_9__INV_MASK    0x00000000
#define DVM_COUNT_9__DVM_COUNT_9__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_10              0x10E20034

/* DVM_COUNT_10.DVM_COUNT_10 -  */
#define DVM_COUNT_10__DVM_COUNT_10__SHIFT       0
#define DVM_COUNT_10__DVM_COUNT_10__WIDTH       32
#define DVM_COUNT_10__DVM_COUNT_10__MASK        0xFFFFFFFF
#define DVM_COUNT_10__DVM_COUNT_10__INV_MASK    0x00000000
#define DVM_COUNT_10__DVM_COUNT_10__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_11              0x10E20038

/* DVM_COUNT_11.DVM_COUNT_11 -  */
#define DVM_COUNT_11__DVM_COUNT_11__SHIFT       0
#define DVM_COUNT_11__DVM_COUNT_11__WIDTH       32
#define DVM_COUNT_11__DVM_COUNT_11__MASK        0xFFFFFFFF
#define DVM_COUNT_11__DVM_COUNT_11__INV_MASK    0x00000000
#define DVM_COUNT_11__DVM_COUNT_11__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_12              0x10E2003C

/* DVM_COUNT_12.DVM_COUNT_12 -  */
#define DVM_COUNT_12__DVM_COUNT_12__SHIFT       0
#define DVM_COUNT_12__DVM_COUNT_12__WIDTH       32
#define DVM_COUNT_12__DVM_COUNT_12__MASK        0xFFFFFFFF
#define DVM_COUNT_12__DVM_COUNT_12__INV_MASK    0x00000000
#define DVM_COUNT_12__DVM_COUNT_12__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_13              0x10E20040

/* DVM_COUNT_13.DVM_COUNT_13 -  */
#define DVM_COUNT_13__DVM_COUNT_13__SHIFT       0
#define DVM_COUNT_13__DVM_COUNT_13__WIDTH       32
#define DVM_COUNT_13__DVM_COUNT_13__MASK        0xFFFFFFFF
#define DVM_COUNT_13__DVM_COUNT_13__INV_MASK    0x00000000
#define DVM_COUNT_13__DVM_COUNT_13__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_14              0x10E20044

/* DVM_COUNT_14.DVM_COUNT_14 -  */
#define DVM_COUNT_14__DVM_COUNT_14__SHIFT       0
#define DVM_COUNT_14__DVM_COUNT_14__WIDTH       32
#define DVM_COUNT_14__DVM_COUNT_14__MASK        0xFFFFFFFF
#define DVM_COUNT_14__DVM_COUNT_14__INV_MASK    0x00000000
#define DVM_COUNT_14__DVM_COUNT_14__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_15              0x10E20048

/* DVM_COUNT_15.DVM_COUNT_15 -  */
#define DVM_COUNT_15__DVM_COUNT_15__SHIFT       0
#define DVM_COUNT_15__DVM_COUNT_15__WIDTH       32
#define DVM_COUNT_15__DVM_COUNT_15__MASK        0xFFFFFFFF
#define DVM_COUNT_15__DVM_COUNT_15__INV_MASK    0x00000000
#define DVM_COUNT_15__DVM_COUNT_15__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_16              0x10E2004C

/* DVM_COUNT_16.DVM_COUNT_16 -  */
#define DVM_COUNT_16__DVM_COUNT_16__SHIFT       0
#define DVM_COUNT_16__DVM_COUNT_16__WIDTH       32
#define DVM_COUNT_16__DVM_COUNT_16__MASK        0xFFFFFFFF
#define DVM_COUNT_16__DVM_COUNT_16__INV_MASK    0x00000000
#define DVM_COUNT_16__DVM_COUNT_16__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_17              0x10E20050

/* DVM_COUNT_17.DVM_COUNT_17 -  */
#define DVM_COUNT_17__DVM_COUNT_17__SHIFT       0
#define DVM_COUNT_17__DVM_COUNT_17__WIDTH       32
#define DVM_COUNT_17__DVM_COUNT_17__MASK        0xFFFFFFFF
#define DVM_COUNT_17__DVM_COUNT_17__INV_MASK    0x00000000
#define DVM_COUNT_17__DVM_COUNT_17__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_18              0x10E20054

/* DVM_COUNT_18.DVM_COUNT_18 -  */
#define DVM_COUNT_18__DVM_COUNT_18__SHIFT       0
#define DVM_COUNT_18__DVM_COUNT_18__WIDTH       32
#define DVM_COUNT_18__DVM_COUNT_18__MASK        0xFFFFFFFF
#define DVM_COUNT_18__DVM_COUNT_18__INV_MASK    0x00000000
#define DVM_COUNT_18__DVM_COUNT_18__HW_DEFAULT  0x0

/*  */
#define DVM_COUNT_19              0x10E20058

/* DVM_COUNT_19.DVM_COUNT_19 -  */
#define DVM_COUNT_19__DVM_COUNT_19__SHIFT       0
#define DVM_COUNT_19__DVM_COUNT_19__WIDTH       32
#define DVM_COUNT_19__DVM_COUNT_19__MASK        0xFFFFFFFF
#define DVM_COUNT_19__DVM_COUNT_19__INV_MASK    0x00000000
#define DVM_COUNT_19__DVM_COUNT_19__HW_DEFAULT  0x0

/*  */
#define DVM_VERSION               0x10E2005C

/* DVM_VERSION.DVM_VERSION -  */
#define DVM_VERSION__DVM_VERSION__SHIFT       0
#define DVM_VERSION__DVM_VERSION__WIDTH       32
#define DVM_VERSION__DVM_VERSION__MASK        0xFFFFFFFF
#define DVM_VERSION__DVM_VERSION__INV_MASK    0x00000000
#define DVM_VERSION__DVM_VERSION__HW_DEFAULT  0x0


#endif  // __DVM_H__
